#include <iostream>
#include <vector>
#include <cstdio>
using namespace std;

int main() {
  ios_base::sync_with_stdio(0);
  int n,A,B;
  cin >> n >> A >> B;


  vector<int> vals(n);
  for (int&v:vals)cin >> v;

  if (A == B) {
    int x = 0;
    for (int&v:vals) x = x ^ (v % (A+1));

    if (x != 0) cout << "Petyr" << endl;
    else cout << "Varys" << endl;
    return 0;
  }

  int MIN = min(A,B);
  int MAX = max(A,B);
  int XOR = 0;
  
  vector<int> extra;
  for (int v: vals) {
    if (v <= MIN) {
      XOR = XOR ^ v;
    } else {
      extra.push_back(v);
    }
  }

  if (extra.size() == 0) {
    if (XOR != 0) cout << "Petyr" << endl;
    else cout << "Varys" << endl;
    return 0;
  }

  if (MAX == A) {
    cout << "Petyr" << endl;
  } else {
    if (XOR == 0) {
      cout << "Varys" << endl;
    } else {
      if (extra.size() > 1) {
	cout << "Varys" << endl;
      } else {
	int s = extra[0];
	if (s >= XOR + 1 && s <= XOR + MIN) cout << "Petyr" << endl;
	else cout << "Varys" << endl;
      }
      
    }
  }
}
